---
title: "Get User Mentions in a Channel"
slug: "get-all-user-mentions-in-a-channel"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Mentions in a Channel

Get/api/v1/channels.getAllUserMentionsByChannel

Get all the mentions of the authenticated user in a channel.

### Changelog

| Version | Description |
| --- | --- |
| 0.63.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersroomIdstringRequired

The room id.

Examplejdiue8TGkodp
offsetinteger

Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
countinteger

The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
sort

List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {"value": -1, "_id": 1}. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='2883ddd2-4972-4072-8336-7901bbe1379a'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='7e140521-6178-42d9-9ee1-b59fd8048aa8'>Success</option>
</select>Success

```json
{
  "mentions": [
    {
      "_id": "mPmJ6cPAazzphJmGe",
      "rid": "6513afeda2f73c7460e18c86",
      "msg": "@roxie",
      "ts": "2023-09-27T20:32:58.994Z",
      "u": {
        "_id": "rbAXPnMktTFbNpwtJ",
        "username": "roxie",
        "name": "test test"
      },
      "_updatedAt": "2023-09-27T20:32:59.171Z",
      "urls": [],
      "mentions": [
        {
          "_id": "rbAXPnMktTFbNpwtJ",
          "username": "roxie",
          "name": "test test",
          "type": "user"
        }
      ],
      "channels": [],
      "md": [
        {
          "type": "PARAGRAPH",
          "value": [
            {
              "type": "MENTION_USER",
              "value": {
                "type": "PLAIN_TEXT",
                "value": "roxie"
              }
            }
          ]
        }
      ]
    }
  ],
  "count": 1,
  "offset": 0,
  "total": 1,
  "success": true
}
```

Expand Allobject  mentions Array of object   object  _idstring    
ridstring    
msgstring    
tsstring    
uobject  _idstring    
usernamestring    
namestring    

_updatedAtstring    
urls Array of object   object  
mentions Array of object   object  _idstring    
usernamestring    
namestring    
typestring    

channels Array of object   object  
md Array of object   object  typestring    
value Array of object   object  typestring    
valueobject  typestring    
valuestring    

countinteger    
offsetinteger    
totalinteger    
successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='a9d28e82-fcfe-4a21-87e7-fe4b42a83883'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='5802f90d-baad-4748-89ad-ec5fec1946fc'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
